-- Maps specific builders to what keys will do in build mode

local AeonT1Eng = {
    ['L'] = 'uab0101',
    ['R'] = 'dab2102',
    ['A'] = 'uab0102',
    ['S'] = 'uab0103',
    ['E'] = 'uab1103',
    ['X'] = 'uab1106',
    ['P'] = 'uab1101',
    ['H'] = 'uab1102',
    ['Y'] = 'uab1105',
    ['W'] = 'uab5101',
    ['D'] = 'uab2101',
    ['N'] = 'uab2104',
    ['T'] = 'uab2109',
    ['I'] = 'uab3101',
    ['O'] = 'uab3102',
}

local AeonT2Eng = {
    ['A'] = 'uab0202',  #new
    ['S'] = 'uab0203',
    ['X'] = 'uab1106',
    ['Y'] = 'uab1105',

    ['E'] = 'uab1202',
    ['P'] = 'uab1201',
    ['D'] = 'uab2301',
    ['N'] = 'uab2204',
    ['F'] = 'uab1104',
    ['T'] = 'uab2205',
    ['R'] = 'uab2303',
    ['M'] = 'uab2108',
    ['K'] = 'uab4201',
    ['V'] = 'uab4202',
    ['C'] = 'uab4203',
    ['I'] = 'uab3201',
    ['O'] = 'uab3202',
    ['G'] = 'uab5202',
}

local AeonT3Eng = {
    ['A'] = 'uab0302', #new
    ['S'] = 'uab0303',
    ['F'] = 'uab1104',
    ['D'] = 'uab2301',
    ['T'] = 'uab2205',
    ['Z'] = 'uab4201',
    ['E'] = 'uab1302',
    ['C'] = 'xab3301',
    ['P'] = 'uab1301',
    ['N'] = 'uab2304',
    ['R'] = 'uab2302',
    ['X'] = 'uab2305',
    ['V'] = 'uab4301',
    ['O'] = 'uas0305',
    ['I'] = 'uab3104',
    ['Q'] = 'uab0304',
    ['K'] = 'uab4302',
}

local AeonT4Eng = {
    ['B'] = 'uas0302', #new
    ['E'] = 'xab3301',

    ['Z'] = 'uaa0310',
    ['Q'] = 'xab1401',
    ['T'] = 'uas0401',
    ['C'] = 'ual0401',
}

local AeonT1Land = {
    ['E'] = 'ual0105',
    ['S'] = 'ual0101',
    ['O'] = 'ual0106',
    ['T'] = 'ual0201',


}

local AeonT2Land = {
    ['N'] = 'ual0104', #new
    ['D'] = 'dal0310',
    ['S'] = 'xal0305',


    ['R'] = 'ual0103',
    ['E'] = 'ual0208',

    ['M'] = 'ual0111',
    #['N'] = 'ual0205',

}

local AeonT3Land = {
    ['T'] = 'ual0202',
    ['V'] = 'ual0307',

    ['E'] = 'ual0309',
    ['O'] = 'ual0303',
    ['R'] = 'ual0304',
}

local AeonT1Air = {
    ['E'] = 'ual0105',

    ['F'] = 'uaa0102',

    ['T'] = 'uaa0107',
}

local AeonT2Air = {
    ['S'] = 'uaa0101',
    ['O'] = 'uaa0103',
    ['E'] = 'ual0208',
    ['F'] = 'xaa0202',

    ['P'] = 'uaa0204',
    ['G'] = 'uaa0203',

}

local AeonT3Air = {
    ['X'] = 'daa0206',
    ['T'] = 'uaa0104',
    ['E'] = 'ual0309',

}

local AeonT1Sea = {
    ['S'] = 'xac0101',
    ['E'] = 'ual0105',
    ['T'] = 'uas0102',

    ['F'] = 'uas0103',
}

local AeonT2Sea = {
    ['S'] = 'uas0203',
    ['A'] = 'xal0203',


    ['E'] = 'ual0208',


}

local AeonT3Sea = {
    ['S'] = 'xas0204',
    ['C'] = 'uas0202',
    ['D'] = 'uas0201',

    ['E'] = 'ual0309',
    ['T'] = 'uas0302',
    ['M'] = 'xas0306',
    ['A'] = 'uas0303',
}

local UEFT1Eng = {
    ['L'] = 'ueb0101',
    ['A'] = 'ueb0102',
    ['S'] = 'ueb0103',
    ['E'] = 'ueb1103',

    ['P'] = 'ueb1101',
    ['H'] = 'ueb1102',

    ['W'] = 'ueb5101',
    ['D'] = 'ueb2101',
    ['N'] = 'ueb2104',
    ['T'] = 'ueb2109',
    ['I'] = 'ueb3101',
    ['O'] = 'ueb3102',
}

local UEFT2Eng = {
        [1] = UEFT1Eng,
        [2] = UEFT2Eng,

}

local UEFT3Eng = {

    ['E'] = 'ueb1302',
    ['F'] = 'ueb1303',
    ['P'] = 'ueb1301',

    ['R'] = 'ueb2302',
    ['X'] = 'ueb2305',
    ['K'] = 'ueb4302',
    ['V'] = 'ueb4301',
    ['O'] = 'ues0305',
    ['I'] = 'ueb3104',
    ['Q'] = 'ueb0304',

    ['M'] = 'ueb2108',
    ['N'] = 'ueb2204',
    ['T'] = 'ueb2205',
    ['D'] = 'ueb2301',
    ['F'] = 'ueb1104',
    ['A'] = 'ueb0302',
    ['S'] = 'ueb0303',
}

local UEFT4Eng = {
    ['S'] = 'xeb2402',
    ['F'] = 'uel0401',
    ['A'] = 'ues0401',
    ['M'] = 'ueb2401',

    ['N'] = 'ueb2304',
    ['D'] = 'xeb2306',
    ['B'] = 'ues0302',
    ['C'] = 'ueb4203',
}

local UEFT1Land = {
    ['E'] = 'uel0105',
    ['S'] = 'uel0101',
    ['O'] = 'uel0106',
    ['T'] = 'uel0201',
    ['N'] = 'uel0104',

    ['X'] = 'uec0001',
}

local UEFT2Land = {
    ['O'] = 'del0204',
    ['E'] = 'uel0208',
    ['F'] = 'xel0209',

    ['M'] = 'uel0111',
    ['R'] = 'uel0103',
}

local UEFT3Land = {
    ['A'] = 'xel0305',
    ['M'] = 'xel0306',
    ['E'] = 'uel0309',
    ['O'] = 'uel0303',
    ['R'] = 'uel0304',

    ['V'] = 'uel0307',
    ['T'] = 'uel0202',
    ['N'] = 'uel0205',
}

local UEFT1Air = {
    ['E'] = 'uel0105',
    ['O'] = 'uea0103',
    ['T'] = 'uea0107',
}

local UEFT2Air = {
    ['E'] = 'uel0208',
    ['P'] = 'uea0204',



    ['F'] = 'uea0102',
    ['S'] = 'uea0101',
}

local UEFT3Air = {
    ['T'] = 'xea0306',
    ['E'] = 'uel0309',
    ['S'] = 'uea0302',
    ['F'] = 'uea0303',
    ['O'] = 'uea0304',
    ['G'] = 'uea0305',

    ['T'] = 'uea0104',
    ['G'] = 'uea0203',
    ['B'] = 'dea0202',
}

local UEFT1Sea = {
    ['O'] = 'xes0102',
    ['E'] = 'uel0105',
    ['S'] = 'ues0203',
    ['F'] = 'ues0103',
}

local UEFT2Sea = {
    ['V'] = 'xes0205',
    ['E'] = 'uel0208',
    ['O'] = 'xes0102',
    ['D'] = 'ues0201',

    ['P'] = 'uel0203',
}

local UEFT3Sea = {
    ['D'] = 'xes0307',
    ['E'] = 'uel0309',
    ['T'] = 'ues0302',
    ['S'] = 'ues0304',

    ['C'] = 'ues0202',
}

local CybranT1Eng = {
    ['L'] = 'urb0101',
    ['A'] = 'urb0102',
    ['S'] = 'urb0103',
    ['E'] = 'urb1103',
    ['P'] = 'urb1101',
    ['H'] = 'urb1102',
    ['W'] = 'urb5101',
    ['D'] = 'urb2101',
    ['N'] = 'urb2104',
    ['T'] = 'urb2109',
    ['I'] = 'urb3101',
    ['O'] = 'urb3102',
}

local CybranT2Eng = {
    ['A'] = 'xrb0104',
    ['E'] = 'urb1202',
    ['P'] = 'urb1201',
    ['D'] = 'urb2301',
    ['T'] = 'urb2205',
    ['R'] = 'urb2303',
    ['K'] = 'urb4201',
    ['V'] = 'urb4202',
    ['C'] = 'urb4203',
    ['I'] = 'urb3201',
    ['O'] = 'urb3202',
    ['G'] = 'urb5202',

    ['A'] = 'urb0202',
    ['S'] = 'urb0203',
    ['X'] = 'urb1106',
    ['Y'] = 'urb1105',
}

local CybranT3Eng = {
    ['E'] = 'urb1302',
    ['F'] = 'urb1303',
    ['P'] = 'urb1301',
    ['R'] = 'urb2302',
    ['X'] = 'urb2305',
    ['K'] = 'urb4302',
    ['O'] = 'urs0305',
    ['I'] = 'urb3104',
    ['Q'] = 'urb0304',

    ['M'] = 'urb2108',
    ['A'] = 'urb0302',
    ['S'] = 'urb0303',
    ['F'] = 'urb1104',
    ['N'] = 'urb2204',
}

local CybranT4Eng = {
    ['S'] = 'url0402',
    ['M'] = 'xrl0403',
    ['R'] = 'ura0401',
    ['C'] = 'url0401',

    ['N'] = 'urb2304',
    ['V'] = 'xrb3301',
    ['T'] = 'xrb2308',
    ['B'] = 'urs0302',
}

local CybranT1Land = {
    ['E'] = 'url0105',
    ['S'] = 'url0101',
    ['O'] = 'url0106',
    ['T'] = 'url0107',
    ['R'] = 'url0103',
    ['N'] = 'url0104',
}

local CybranT2Land = {
    ['E'] = 'url0208',
    ['M'] = 'url0111',
    ['O'] = 'drl0204',

    ['T'] = 'urc0001',
}

local CybranT3Land = {
    ['A'] = 'xrl0305',
    ['E'] = 'url0309',
    ['O'] = 'url0303',
    ['R'] = 'url0304',

    ['T'] = 'url0202',
    ['N'] = 'url0205',
    ['X'] = 'xrl0302',
    ['C'] = 'url0306',
}

local CybranT1Air = {

    ['E'] = 'url0105',
    ['S'] = 'ura0101',

    ['O'] = 'ura0103',
    ['T'] = 'ura0107',
}

local CybranT2Air = {
    ['F'] = 'dra0202',
    ['E'] = 'url0208',
    ['P'] = 'ura0204',



    ['F'] = 'ura0102',
    ['G'] = 'xra0105',
}

local CybranT3Air = {
    ['G'] = 'xra0305',
    ['E'] = 'url0309',
    ['S'] = 'ura0302',
    ['F'] = 'ura0303',
    ['O'] = 'ura0304',

    ['T'] = 'ura0104',
    ['G'] = 'ura0203',
    ['S'] = 'ura0209',
}

local CybranT1Sea = {
    ['I'] = 'drs0102',
    ['E'] = 'url0105',
    ['S'] = 'urs0203',

}

local CybranT2Sea = {
    ['I'] = 'xrs0205',
    ['E'] = 'url0208',
    ['C'] = 'urs0202',
    ['D'] = 'urs0201',

    ['P'] = 'url0203',
    ['F'] = 'urs0103',
}

local CybranT3Sea = {
    ['E'] = 'url0309',
    ['T'] = 'urs0302',
    ['A'] = 'urs0303',
    ['C'] = 'urs0304',

    ['S'] = 'xrs0204',
}

local CybranCrabBot = {
    ['E'] = 'xrl0002',
    ['A'] = 'xrl0003',
    ['N'] = 'xrl0004',
    ['R'] = 'xrl0005',
}

local SeraphimT1Eng = {
    ['L'] = 'xsb0101',
    ['A'] = 'xsb0102',
    ['S'] = 'xsb0103',
    ['E'] = 'xsb1103',

    ['P'] = 'xsb1101',
    ['H'] = 'xsb1102',

    ['W'] = 'xsb5101',
    ['D'] = 'xsb2101',
    ['N'] = 'xsb2104',
    ['T'] = 'xsb2109',
    ['I'] = 'xsb3101',
    ['O'] = 'xsb3102',
}

local SeraphimT2Eng = {
    ['E'] = 'xsb1202',
    ['P'] = 'xsb1201',
    ['R'] = 'xsb2303',


    ['K'] = 'xsb4201',
    ['V'] = 'xsb4202',
    ['C'] = 'xsb4203',
    ['I'] = 'xsb3201',
    ['O'] = 'xsb3202',
    ['G'] = 'xsb5202',

    ['S'] = 'xsb0203',
    ['X'] = 'xsb1106',
    ['Y'] = 'xsb1105',
}

local SeraphimT3Eng = {
    ['E'] = 'xsb1302',
    ['F'] = 'xsb1303',
    ['P'] = 'xsb1301',
    ['R'] = 'xsb2302',
    ['X'] = 'xsb2305',
    ['K'] = 'xsb4302',
    ['O'] = 'xss0305',
    ['V'] = 'xsb4301',
    ['I'] = 'xsb3104',
    ['Q'] = 'xsb0304',

    ['F'] = 'xsb1104',
    ['M'] = 'xsb2108',
    ['D'] = 'xsb2301',
    ['N'] = 'xsb2204',
    ['T'] = 'xsb2205',
    ['S'] = 'xsb0303',
}

local SeraphimT4Eng = {
    ['M'] = 'xsb2401',
    ['B'] = 'xsa0402',
    ['O'] = 'xsl0401',

    ['N'] = 'xsb2304',
    ['B'] = 'xss0203',
}

local SeraphimT1Land = {
    ['E'] = 'xsl0105',
    ['S'] = 'xsl0101',
    ['T'] = 'xsl0201',
    ['N'] = 'xsl0104',
    ['F'] = 'xsa0102',
    ['P'] = 'xsa0107',
}

local SeraphimT2Land = {
    ['E'] = 'xsl0208',
    ['M'] = 'xsl0111',
    ['C'] = 'xsl0306',

    ['R'] = 'xsl0103',
    ['O'] = 'xsa0103',
}

local SeraphimT3Land = {
    ['E'] = 'xsl0309',
    ['O'] = 'xsl0303',
    ['R'] = 'xsl0304',
    ['S'] = 'xsl0305',
    ['V'] = 'xsl0307',

    ['T'] = 'xsl0202',
    ['N'] = 'xsl0205',
    ['P'] = 'xsa0104',
    ['O'] = 'xsa0304',
}

local SeraphimT1Air = {

}

local SeraphimT2Air = {
    ['E'] = 'xsl0208',
    ['P'] = 'xsa0204',
    ['G'] = 'xsa0203',
    ['F'] = 'xsa0202',

}

local SeraphimT3Air = {
    ['E'] = 'xsl0309',
    ['S'] = 'xsa0302',
    ['F'] = 'xsa0303',

}

local SeraphimT1Sea = {
    ['E'] = 'xsl0105',
    ['F'] = 'xss0103',
}

local SeraphimT2Sea = {
    ['E'] = 'xsl0208',
    ['C'] = 'xss0202',
    ['D'] = 'xss0201',

    ['P'] = 'xsl0203',
    ['S'] = 'xss0203',
}

local SeraphimT3Sea = {
    ['E'] = 'xsl0309',
    ['T'] = 'xss0302',
    ['A'] = 'xss0303',
    ['S'] = 'xss0304',
}

buildModeKeys = {
--Aeon
    -- commander
    ['ual0001'] = {
        [1] = AeonT1Eng,
        [2] = AeonT2Eng,
        [3] = AeonT3Eng,
        [4] = AeonT4Eng,
    },
    -- subcommander
    ['ual0301'] = {
        [1] = AeonT1Eng,
        [2] = AeonT2Eng,
        [3] = AeonT3Eng,
        [4] = AeonT4Eng,
    },
    -- T1 engineer
    ['ual0105'] = {
        [1] = AeonT1Eng,
    },
    -- T2 engineer
    ['ual0208'] = {
        [1] = AeonT1Eng,
        [2] = AeonT2Eng,
    },
    -- T3 engineer
    ['ual0309'] = {
        [1] = AeonT1Eng,
        [2] = AeonT2Eng,
        [3] = AeonT3Eng,
        [4] = AeonT4Eng,
    },
    -- T1 Land Factory
    ['uab0101'] = {
        [1] = AeonT1Land,
        ['U'] = 'uab0201',
    },
    -- T1 Air Factory
    ['uab0102'] = {
        [1] = AeonT1Air,
        ['U'] = 'uab0202',
    },
    -- T1 Naval Factory
    ['uab0103'] = {
        [1] = AeonT1Sea,
        ['U'] = 'uab0203',
    },
    -- T2 Land Factory
    ['uab0201'] = {
        [1] = AeonT1Land,
        [2] = AeonT2Land,
        ['U'] = 'uab0301',
    },
    -- T2 Air Factory
    ['uab0202'] = {
        [1] = AeonT1Air,
        [2] = AeonT2Air,
        ['U'] = 'uab0302',
    },
    -- T2 Naval Factory
    ['uab0203'] = {
        [1] = AeonT1Sea,
        [2] = AeonT2Sea,
        ['U'] = 'uab0303',
    },
    -- T3 Land Factory
    ['uab0301'] = {
        [1] = AeonT1Land,
        [2] = AeonT2Land,
        [3] = AeonT3Land,
    },
    -- T3 Air Factory
    ['uab0302'] = {
        [1] = AeonT1Air,
        [2] = AeonT2Air,
        [3] = AeonT3Air,
    },
    -- T3 Naval Factory
    ['uab0303'] = {
        [1] = AeonT1Sea,
        [2] = AeonT2Sea,
        [3] = AeonT3Sea,
    },
    -- Quantum Gateway
    ['uab0304'] = {
        [3] = {
            ['C'] = 'ual0301',
        },
        [4] = {
	    ['A'] = 'uaa0303',
	    ['G'] = 'ual0303',
	},
    },
    -- T1 Mass Extractor
    ['uab1103'] = {
        ['U'] = 'uab1202',
    },
    -- T2 Mass Extractor
    ['uab1202'] = {
        ['U'] = 'uab1302',
    },
    -- T1 Radar
    ['uab3101'] = {
        ['U'] = 'uab3201',
    },
    -- T2 Radar
    ['uab3201'] = {
        ['U'] = 'uab3104',
    },
    -- T1 Sonar
    ['uab3102'] = {
        ['U'] = 'uab3202',
    },
    -- T2 Sonar
    ['uab3202'] = {
        ['U'] = 'uas0305',
    },
    -- Aircraft Carrier
    ['uas0303'] = {
        [1] = AeonT1Air,
        [2] = AeonT2Air,
        [3] = AeonT3Air,
    },
    -- CZAR
    ['uaa0310'] = {
        [1] = AeonT1Air,
        [2] = AeonT2Air,
        [3] = AeonT3Air,
    },
    -- Submersible Battleship
    ['uas0401'] = {
        [1] = AeonT1Sea,
        [2] = AeonT2Sea,
        [3] = {
            ['E'] = 'ual0309',
        },
    },

-- UEF
    -- commander
    ['uel0001'] = {
        [1] = UEFT1Eng,
        [2] = UEFT2Eng,
        [3] = UEFT3Eng,
        [4] = UEFT4Eng,
    },
    -- subcommander
    ['uel0301'] = {
        [1] = UEFT1Eng,
        [2] = UEFT2Eng,
        [3] = UEFT3Eng,
        [4] = UEFT4Eng,
    },
    -- T1 engineer
    ['uel0105'] = {
        [1] = UEFT1Eng,
    },
    -- T2 engineer
    ['uel0208'] = {
        [1] = UEFT1Eng,
        [2] = UEFT2Eng,
    },
    -- T3 engineer
    ['uel0309'] = {
        [1] = UEFT1Eng,
        [2] = UEFT2Eng,
        [3] = UEFT3Eng,
        [4] = UEFT4Eng,
    },
    -- T1 Land Factory
    ['ueb0101'] = {
        [1] = UEFT1Land,
        ['U'] = 'ueb0201',
    },
    -- T1 Air Factory
    ['ueb0102'] = {
        [1] = UEFT1Air,
        ['U'] = 'ueb0202',
    },
    -- T1 Naval Factory
    ['ueb0103'] = {
        [1] = UEFT1Sea,
        ['U'] = 'ueb0203',
    },
    -- T2 Land Factory
    ['ueb0201'] = {
        [1] = UEFT1Land,
        [2] = UEFT2Land,
        ['U'] = 'ueb0301',
    },
    -- T2 Air Factory
    ['ueb0202'] = {
        [1] = UEFT1Air,
        [2] = UEFT2Air,
        ['U'] = 'ueb0302',
    },
    -- T2 Naval Factory
    ['ueb0203'] = {
        [1] = UEFT1Sea,
        [2] = UEFT2Sea,
        ['U'] = 'ueb0303',
    },
    -- T3 Land Factory
    ['ueb0301'] = {
        [1] = UEFT1Land,
        [2] = UEFT2Land,
        [3] = UEFT3Land,
    },
    -- T3 Air Factory
    ['ueb0302'] = {
        [1] = UEFT1Air,
        [2] = UEFT2Air,
        [3] = UEFT3Air,
    },
    -- T3 Naval Factory
    ['ueb0303'] = {
        [1] = UEFT1Sea,
        [2] = UEFT2Sea,
        [3] = UEFT3Sea,
    },
    -- Quantum Gateway
    ['ueb0304'] = {
        [3] = {
            ['C'] = 'uel0301',
        },
        [4] = {
	    ['A'] = 'uea0305',
	    ['G'] = 'xel0305',
	    ['T'] = 'xea0306',
	},
    },
    -- T1 Mass Extractor
    ['ueb1103'] = {
        ['U'] = 'ueb1202',
    },
    -- T2 Mass Extractor
    ['ueb1202'] = {
        ['U'] = 'ueb1302',
    },
    -- T1 Radar
    ['ueb3101'] = {
        ['U'] = 'ueb3201',
    },
    -- T2 Radar
    ['ueb3201'] = {
        ['U'] = 'ueb3104',
    },
    -- T1 Sonar
    ['ueb3102'] = {
        ['U'] = 'ueb3202',
    },
    -- T2 Sonar
    ['ueb3202'] = {
        ['U'] = 'ues0305',
    },
    -- T2 Shield
    ['ueb4202'] = {
        ['U'] = 'ueb4301',
    },
    -- Submersible Aircraft Carrier
    ['ues0401'] = {
        [1] = UEFT1Air,
        [2] = UEFT2Air,
        [3] = UEFT3Air,
    },
    -- Mobile factory
    ['uel0401'] = {
        [1] = UEFT1Land,
        [2] = UEFT2Land,
        [3] = UEFT3Land,
    },

-- Cybran
    -- commander
    ['url0001'] = {
        [1] = CybranT1Eng,
        [2] = CybranT2Eng,
        [3] = CybranT3Eng,
        [4] = CybranT4Eng,
    },
    -- subcommander
    ['url0301'] = {
        [1] = CybranT1Eng,
        [2] = CybranT2Eng,
        [3] = CybranT3Eng,
        [4] = CybranT4Eng,
    },
    -- T1 engineer
    ['url0105'] = {
        [1] = CybranT1Eng,
    },
    -- T2 engineer
    ['url0208'] = {
        [1] = CybranT1Eng,
        [2] = CybranT2Eng,
    },
    -- T3 engineer
    ['url0309'] = {
        [1] = CybranT1Eng,
        [2] = CybranT2Eng,
        [3] = CybranT3Eng,
        [4] = CybranT4Eng,
    },
    -- T1 Land Factory
    ['urb0101'] = {
        [1] = CybranT1Land,
        ['U'] = 'urb0201',
    },
    -- T1 Air Factory
    ['urb0102'] = {
        [1] = CybranT1Air,
        ['U'] = 'urb0202',
    },
    -- T1 Naval Factory
    ['urb0103'] = {
        [1] = CybranT1Sea,
        ['U'] = 'urb0203',
    },
    -- T2 Land Factory
    ['urb0201'] = {
        [1] = CybranT1Land,
        [2] = CybranT2Land,
        ['U'] = 'urb0301',
    },
    -- T2 Air Factory
    ['urb0202'] = {
        [1] = CybranT1Air,
        [2] = CybranT2Air,
        ['U'] = 'urb0302',
    },
    -- T2 Naval Factory
    ['urb0203'] = {
        [1] = CybranT1Sea,
        [2] = CybranT2Sea,
        ['U'] = 'urb0303',
    },
    -- T3 Land Factory
    ['urb0301'] = {
        [1] = CybranT1Land,
        [2] = CybranT2Land,
        [3] = CybranT3Land,
    },
    -- T3 Air Factory
    ['urb0302'] = {
        [1] = CybranT1Air,
        [2] = CybranT2Air,
        [3] = CybranT3Air,
    },
    -- T3 Naval Factory
    ['urb0303'] = {
        [1] = CybranT1Sea,
        [2] = CybranT2Sea,
        [3] = CybranT3Sea,
    },
    -- Quantum Gateway
    ['urb0304'] = {
        [3] = {
            ['C'] = 'url0301',
        },
        [4] = {
	    ['A'] = 'xra0305',
	    ['G'] = 'url0303',
	    ['S'] = 'ura0302',
	},
    },
    -- T1 Mass Extractor
    ['urb1103'] = {
        ['U'] = 'urb1202',
    },
    -- T2 Mass Extractor
    ['urb1202'] = {
        ['U'] = 'urb1302',
    },
    -- T1 Radar
    ['urb3101'] = {
        ['U'] = 'urb3201',
    },

    -- T2 Radar
    ['urb3201'] = {
        ['U'] = 'urb3104',
    },
    -- T1 Sonar
    ['urb3102'] = {
        ['U'] = 'urb3202',
    },
    -- T2 Sonar
    ['urb3202'] = {
        ['U'] = 'urs0305',
    },
    -- Shield Generators
    ['urb4202'] = {
        ['U'] = 'urb4204',
    },
    ['urb4204'] = {
        ['U'] = 'urb4205',
    },
    ['urb4205'] = {
        ['U'] = 'urb4206',
    },
    ['urb4206'] = {
        ['U'] = 'urb4207',
    },
    -- T3 Air Factory
    ['urs0303'] = {
        [1] = CybranT1Air,
        [2] = CybranT2Air,
        [3] = CybranT3Air,
    },
    --Megabot
    ['xrl0403'] = {
        [2] = CybranCrabBot,
        [3] = CybranCrabBot,
    },
    
-- Seraphim
    -- commander
    ['xsl0001'] = {
        [1] = SeraphimT1Eng,
        [2] = SeraphimT2Eng,
        [3] = SeraphimT3Eng,
        [4] = SeraphimT4Eng,
    },
    -- subcommander
    ['xsl0301'] = {
        [1] = SeraphimT1Eng,
        [2] = SeraphimT2Eng,
        [3] = SeraphimT3Eng,
        [4] = SeraphimT4Eng,
    },
    -- T1 engineer
    ['xsl0105'] = {
        [1] = SeraphimT1Eng,
    },
    -- T2 engineer
    ['xsl0208'] = {
        [1] = SeraphimT1Eng,
        [2] = SeraphimT2Eng,
    },
    -- T3 engineer
    ['xsl0309'] = {
        [1] = SeraphimT1Eng,
        [2] = SeraphimT2Eng,
        [3] = SeraphimT3Eng,
        [4] = SeraphimT4Eng,
    },
    -- T1 Land Factory
    ['xsb0101'] = {
        [1] = SeraphimT1Land,
        ['U'] = 'xsb0201',
    },
    -- T1 Air Factory
    ['xsb0102'] = {
        [1] = SeraphimT1Air,
        ['U'] = 'xsb0202',
    },
    -- T1 Naval Factory
    ['xsb0103'] = {
        [1] = SeraphimT1Sea,
        ['U'] = 'xsb0203',
    },
    -- T2 Land Factory
    ['xsb0201'] = {
        [1] = SeraphimT1Land,
        [2] = SeraphimT2Land,
        ['U'] = 'xsb0301',
    },
    -- T2 Air Factory
    ['xsb0202'] = {
        [1] = SeraphimT1Air,
        [2] = SeraphimT2Air,
        ['U'] = 'xsb0302',
    },
    -- T2 Naval Factory
    ['xsb0203'] = {
        [1] = SeraphimT1Sea,
        [2] = SeraphimT2Sea,
        ['U'] = 'xsb0303',
    },
    -- T3 Land Factory
    ['xsb0301'] = {
        [1] = SeraphimT1Land,
        [2] = SeraphimT2Land,
        [3] = SeraphimT3Land,
    },
    -- T3 Air Factory
    ['xsb0302'] = {
        [1] = SeraphimT1Air,
        [2] = SeraphimT2Air,
        [3] = SeraphimT3Air,
    },
    -- T3 Naval Factory
    ['xsb0303'] = {
        [1] = SeraphimT1Sea,
        [2] = SeraphimT2Sea,
        [3] = SeraphimT3Sea,
    },
    -- Quantum Gateway
    ['xsb0304'] = {
        [3] = {
            ['C'] = 'xsl0301',
        },
        [4] = {
	    ['A'] = 'xsa0202',
	    ['G'] = 'xsl0303',
	},
    },
    -- T1 Mass Extractor
    ['xsb1103'] = {
        ['U'] = 'xsb1202',
    },
    -- T2 Mass Extractor
    ['xsb1202'] = {
        ['U'] = 'xsb1302',
    },
    -- T1 Radar
    ['xsb3101'] = {
        ['U'] = 'xsb3201',
    },

    -- T2 Radar
    ['xsb3201'] = {
        ['U'] = 'xsb3104',
    },
    -- T1 Sonar
    ['xsb3102'] = {
        ['U'] = 'xsb3202',
    },
    -- T2 Sonar
    ['xsb3202'] = {
        ['U'] = 'xss0305',
    },
    -- Shield Generators
    ['xsb4202'] = {
        ['U'] = 'xsb4204',
    },
    ['xsb4204'] = {
        ['U'] = 'xsb4205',
    },
    ['xsb4205'] = {
        ['U'] = 'xsb4206',
    },
    ['xsb4206'] = {
        ['U'] = 'xsb4207',
    },
    -- T3 Air Factory
    ['xss0303'] = {
        [1] = SeraphimT1Air,
        [2] = SeraphimT2Air,
        [3] = SeraphimT3Air,
    },
}