#
# Aeon Bomb
#


local AShieldStructureUnit = import('/lua/aeonunits.lua').AShieldStructureUnit

local AArtilleryProjectile = import('/lua/aeonprojectiles.lua').AArtilleryProjectile
local ABombProjectile = import('/lua/aeonprojectiles.lua').AGravitonBombProjectile
local EffectTemplate = import('/lua/EffectTemplates.lua')
local projbp = 'poppershield'
local oldunit = AArtilleryProjectile


AIFBombGraviton01 = Class(ABombProjectile) {

    FxTrails = EffectTemplate.ASonanceWeaponFXTrail02,
    
    FxImpactUnit =  EffectTemplate.ASonanceWeaponHit02,
    FxImpactProp =  EffectTemplate.ASonanceWeaponHit02,
    FxImpactLand =  EffectTemplate.ASonanceWeaponHit02,

    OnImpact = function(self, TargetType, targetEntity)
		oldunit.OnImpact(self, TargetType, targetEntity)
		local pos = self:GetPosition()
        CreateUnit(projbp, self:GetArmy(), pos[1], pos[2], pos[3], 0, 0, 0, 0)
    end,

		
				
	


}

TypeClass = AIFBombGraviton01
