#****************************************************************************
#**
#****************************************************************************
#**
#**  File     :  /cdimage/units/XSL0101/XSL0101_script.lua
#**
#**  Summary  :  Seraphim Land Scout Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SWalkingLandUnit = import('/lua/seraphimunits.lua').SWalkingLandUnit
#local SConstructionUnit = import('/lua/seraphimunits.lua').SConstructionUnit
local SDFPhasicAutoGunWeapon = import('/lua/seraphimweapons.lua').SDFPhasicAutoGunWeapon
local EffectUtil = import('/lua/EffectUtilities.lua')

XSL0101 = Class(SWalkingLandUnit) {

    Weapons = {
		LaserTurret = Class(SDFPhasicAutoGunWeapon) {},

 

    },
    OnCreate = function(self)
        SWalkingLandUnit.OnCreate(self)
        if self:GetBlueprint().General.BuildBones then
            self:SetupBuildBones()
        end
    end,

    CreateBuildEffects = function( self, unitBeingBuilt, order )
       EffectUtil.CreateSeraphimUnitEngineerBuildingEffects( self, unitBeingBuilt, self:GetBlueprint().General.BuildBones.BuildEffectBones, self.BuildEffectsBag )
    end,
}
TypeClass = XSL0101