#This doesnt work for some reason so I moved this script to all factory unit classes and now it does work!
#CBFP_oldFactoryUnit = FactoryUnit
#FactoryUnit = Class(CBFP_oldFactoryUnit) {
#    OnKilled = function(self, instigator, type, overkillRatio)
#        StructureUnit.OnKilled(self, instigator, type, overkillRatio)
#        if self.UnitBeingBuilt and not self.UnitBeingBuilt:IsDead() and self.UnitBeingBuilt:GetFractionComplete() != 1 then
#            self.UnitBeingBuilt:Destroy()
#        end
#    end,
#}

#-------------------------------------------------------------
#  AIR FACTORY UNITS
#-------------------------------------------------------------
CBFP_oldAirFactoryUnit = AirFactoryUnit
AirFactoryUnit = Class(CBFP_oldAirFactoryUnit) {

    # moved from factoryunit to each individual factory type cause it wouldnt work right without overwriting the
    # original file + variables.
    OnKilled = function(self, instigator, type, overkillRatio)
        StructureUnit.OnKilled(self, instigator, type, overkillRatio) # bypassing factoryunit onkilled event
        # added by brute51 - made this IF-statement check whether the unit being built is completed yet. [114]
        if self.UnitBeingBuilt and not self.UnitBeingBuilt:IsDead() and self.UnitBeingBuilt:GetFractionComplete() != 1 then
            self.UnitBeingBuilt:Destroy()
        end
    end,

    # the means to add a rolloff time between unit productions. Can be used to increase the time between the 
    # construction of 2 units. Add to blueprint in general section variable name RolloffDelay and set time
    # in seconds to halt after each produced unit.
    OnStopBuild = function(self, unitBeingBuilt, order )
        local bp = self:GetBlueprint()
        if bp.General.RolloffDelay and bp.General.RolloffDelay > 0 and not self.FactoryBuildFailed then
            self:ForkThread(self.PauseThread, unitBeingBuilt, order)
        else
            CBFP_oldAirFactoryUnit.OnStopBuild(self, unitBeingBuilt, order)
        end
    end,

    # takes care of the rolloff delay if required in the blueprint
    PauseThread = function(self, unitBeingBuilt, order)
         # adds a pause between unit productions
        self:StopBuildFx()
        local productionpause = self:GetBlueprint().General.RolloffDelay
        if productionpause and productionpause > 0 then
            self:SetBusy(true) 
            self:SetBlockCommandQueue(true) 
            WaitSeconds(productionpause)
            self:SetBusy(false) 
            self:SetBlockCommandQueue(false) 
        end
        CBFP_oldAirFactoryUnit.OnStopBuild(self, unitBeingBuilt, order)
    end,
}

#-------------------------------------------------------------
#  LAND FACTORY UNITS
#-------------------------------------------------------------
CBFP_oldLandFactoryUnit = LandFactoryUnit
LandFactoryUnit = Class(CBFP_oldLandFactoryUnit) {

    # moved from factoryunit to each individual factory type cause it wouldnt work right without overwriting the
    # original file + variables.
    OnKilled = function(self, instigator, type, overkillRatio)
        StructureUnit.OnKilled(self, instigator, type, overkillRatio) # bypassing factoryunit onkilled event
        # added by brute51 - made this IF-statement check whether the unit being built is completed yet. [114]
        if self.UnitBeingBuilt and not self.UnitBeingBuilt:IsDead() and self.UnitBeingBuilt:GetFractionComplete() != 1 then
            self.UnitBeingBuilt:Destroy()
        end
    end,

    # the means to add a rolloff time between unit productions. Can be used to increase the time between the 
    # construction of 2 units. Add to blueprint in general section variable name RolloffDelay and set time
    # in seconds to halt after each produced unit.
    OnStopBuild = function(self, unitBeingBuilt, order )
        local bp = self:GetBlueprint()
        if bp.General.RolloffDelay and bp.General.RolloffDelay > 0 and not self.FactoryBuildFailed then
            self:ForkThread(self.PauseThread, unitBeingBuilt, order)
        else
            CBFP_oldLandFactoryUnit.OnStopBuild(self, unitBeingBuilt, order)
        end
    end,

    # takes care of the rolloff delay if required in the blueprint
    PauseThread = function(self, unitBeingBuilt, order)
         # adds a pause between unit productions
        self:StopBuildFx()
        local productionpause = self:GetBlueprint().General.RolloffDelay
        if productionpause and productionpause > 0 then
            self:SetBusy(true) 
            self:SetBlockCommandQueue(true) 
            WaitSeconds(productionpause)
            self:SetBusy(false) 
            self:SetBlockCommandQueue(false) 
        end
        CBFP_oldLandFactoryUnit.OnStopBuild(self, unitBeingBuilt, order)
    end,
}

#-------------------------------------------------------------
#  SEA FACTORY UNITS
#-------------------------------------------------------------
CBFP_oldSeaFactoryUnit = SeaFactoryUnit
SeaFactoryUnit = Class(CBFP_oldSeaFactoryUnit) {

    # moved from factoryunit to each individual factory type cause it wouldnt work right without overwriting the
    # original file + variables.
    OnKilled = function(self, instigator, type, overkillRatio)
        StructureUnit.OnKilled(self, instigator, type, overkillRatio) # bypassing factoryunit onkilled event
        # added by brute51 - made this IF-statement check whether the unit being built is completed yet. [114]
        if self.UnitBeingBuilt and not self.UnitBeingBuilt:IsDead() and self.UnitBeingBuilt:GetFractionComplete() != 1 then
            self.UnitBeingBuilt:Destroy()
        end
    end,

    # the means to add a rolloff time between unit productions. Can be used to increase the time between the 
    # construction of 2 units. Add to blueprint in general section variable name RolloffDelay and set time
    # in seconds to halt after each produced unit.
    OnStopBuild = function(self, unitBeingBuilt, order )
        local bp = self:GetBlueprint()
        if bp.General.RolloffDelay and bp.General.RolloffDelay > 0 and not self.FactoryBuildFailed then
            self:ForkThread(self.PauseThread, unitBeingBuilt, order)
        else
            CBFP_oldSeaFactoryUnit.OnStopBuild(self, unitBeingBuilt, order)
        end
    end,

    # takes care of the rolloff delay if required in the blueprint
    PauseThread = function(self, unitBeingBuilt, order)
         # adds a pause between unit productions
        self:StopBuildFx()
        local productionpause = self:GetBlueprint().General.RolloffDelay
        if productionpause and productionpause > 0 then
            self:SetBusy(true) 
            self:SetBlockCommandQueue(true) 
            WaitSeconds(productionpause)
            self:SetBusy(false) 
            self:SetBlockCommandQueue(false) 
        end
        CBFP_oldSeaFactoryUnit.OnStopBuild(self, unitBeingBuilt, order)
    end,
}

#-------------------------------------------------------------
#  MASS COLLECTION UNITS
#-------------------------------------------------------------
CBFP_oldMassCollectionUnit = MassCollectionUnit
MassCollectionUnit = Class(CBFP_oldMassCollectionUnit) {
    #FIX BY RAGNAROK_X/COMBINE:  Pausing was handled incorrectly.  Fixed. [100]
    #FIX BY GOWERLY: 
    #If you run out of mass, nothing happens.  If you run out of energy, your mass production from the mex 
    #will decrease as expected.  I've had to go insane to fix this. 
    #I got rid of most of the GPG code where it takes the mass production from the mass consumed, etc. 
    #That screws up your eco balance anyway, by lowering the proportion of mass in / mass out, which sucks. 
    #So I implemented a version where you keep both, giving you a better overall eco balance.  Well, it will 
    #when I find out how to implement it in less of a dark magic hack.  Yay. 
	
    WatchUpgradeConsumption = function(self, massConsumption, massProduction) 
        while true do 
            if not self:IsPaused() then 
                if self:GetResourceConsumed() != 1 then 
                    local aiBrain = self:GetAIBrain() 
                    if aiBrain and aiBrain:GetEconomyStored('ENERGY') <= 1 then 
                        #We are out of energy.  Do nothing.  Something else deals with this, it seems 
                        self:SetProductionPerSecondMass(massProduction) 
                        self:SetConsumptionPerSecondMass(massConsumption) 
                    else 
                        #Insanity by Gowerly, version 1. 
                        #So, if you run out of mass, there's something happening that divides the production by 
                        #how much you're missing mass by.  This sucks, and I Can't find out where this is happening 
                        #If someone knows where this happens, please let me know, so I can fix that instead.  
                        #It would be much less of a hack if I could do that. 
                        #So, I can work out how much I'm out mass by (proportionally) 
                        #and that's how much the mass production is divided by somewhere else 
                        #so if I do the OPPOSITE here, they CANCEL OUT LIKE MATTER AND ANTIMATTER AND I WIN 
                        #Um, so there's a bit when you start upgrading a mex where GetResourceConsumed is 0.  
                        #I have to bypass that, because otherwise you have Aleph-0 mass for a frame. 
                   
                        #Current Issue(s).  Mass goes wild for a second or two when you hit 0, 
                        #but levels out pretty quickly.  I would estimate you end up befitting by about 10 mass. 
                        #Looking at how to fix that, but it won't be easy.  As I end up saying 3 times in here, 
                        #if someone finds out where the mex actually calculates how much mass it's producing, 
                        #I'll give them a cookie.  Somehow. 
                        if self:GetResourceConsumed() != 0 then 
                            self:SetConsumptionPerSecondMass(massConsumption) 
                            self:SetProductionPerSecondMass(massProduction / self:GetResourceConsumed()) 
                            #LOG('Out of mass, setting mex output to ', repr(massProduction / self:GetResourceConsumed()), ' to compensate') 
                        else 
                            #There's no logical way I can deal with you having 0 mass coming in (your ACU produces 1) 
                            #So if you're not playing Assassination and you're out of mass, I can't help you 
                            #PLEASE SOMEONE FIND ME WHERE THE MEX CALCULATES HOW MUCH MASS IT PRODUCES - GOWERLY 
                            self:SetProductionPerSecondMass(0) 
                        end 
                    end                
                else 
                    #Pause fix by R_X and Combine [100]
                    self:SetConsumptionPerSecondMass(massConsumption) 
                    self:SetProductionPerSecondMass(massProduction) 
                end 
            else 
                self:SetProductionPerSecondMass(massProduction) 
            end 
            WaitSeconds(0.2) 
        end 
    end,  	
}
local Unit = import('sim/unit.lua').Unit

local Shield = import('shield.lua').Shield

local explosion = import('defaultexplosions.lua')

local Util = import('utilities.lua')
local 
EffectUtil = import('EffectUtilities.lua')

local EffectTemplate = import('EffectTemplates.lua')

local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua')

local EffectUtil = import('EffectUtilities.lua')

local CreateBuildCubeThread = EffectUtil.CreateBuildCubeThread

local CreateAeonBuildBaseThread = EffectUtil.CreateAeonBuildBaseThread

local Entity = import('sim/entity.lua').Entity


local OldSeaUnit = SeaUnit


local function CreateScaledBoom(unit, overkill, bone)
	
explosion.CreateDefaultHitExplosionAtBone(
		unit,
		bone or 0,
 explosion.CreateUnitExplosionEntity(unit, overkill).Spec.BoundingXZRadius
	)
end

SeaUnit = startClass(SeaUnit)
    DeathThreadDestructionWaitTime = 5
    ShowUnitDestructionDebris = false
    PlayEndAnimDestructionEffects = false
	CollidedBones = 0
	
	function OnKilled(self, instigator, type, overkillRatio)
		local nrofBones = self:GetBoneCount() -1
		local watchBone = self:GetBlueprint().WatchBone or 0
		LOG(self:GetBlueprint().Description, " watchbone is ", watchBone)

 		self:ForkThread(function()
			-- LOG("Sinker thread created")
			local pos = self:GetPosition()
			local seafloor = GetTerrainHeight(pos[1], pos[3]) + GetTerrainTypeOffset(pos[1], pos[3])
			while self:GetPosition(watchBone)[2] > seafloor do
				WaitSeconds(0.1)
				-- LOG("Sinker: ", repr(self:GetPosition()))
			end
			CreateScaledBoom(self, overkillRatio, watchBone)
			self:CreateWreckage(overkillRatio, instigator)
			self:Destroy()
		end)
         
        local layer = self:GetCurrentLayer()
        self:DestroyIdleEffects()
        if (layer == 'Water' or layer == 'Seabed' or layer == 'Sub') then
            self.SinkExplosionThread = self:ForkThread(self.ExplosionThread)
            self.SinkThread = self:ForkThread(self.SinkingThread)
        end
		OldSeaUnit.OnKilled(self, instigator, type, overkillRatio)
    end
endClass()

local OldSubUnit = SubUnit

SubUnit = startClass(OldSubUnit)
	function DeathThread(self, overkillRatio, instigator)
		CreateScaledBoom(self, overkillRatio)
        local sx, sy, sz = self:GetUnitSizes()
        local vol = sx * sy * sz
		local army = self:GetArmy()
		local pos = self:GetPosition()
		local seafloor = GetTerrainHeight(pos[1], pos[3]) + GetTerrainTypeOffset(pos[1], pos[3])
		local DaveyJones = (seafloor - pos[2])*20
		local numBones = self:GetBoneCount()-1
		
		self:ForkThread(function()
			local i = 0
			while true do
            	local rx, ry, rz = self:GetRandomOffset(0.25)
            	local rs = Random(vol/2, vol*2) / (vol*2)
            	local randBone = Util.GetRandomInt( 0, numBones)

            	CreateEmitterAtBone( self, randBone, army, '/effects/emitters/destruction_underwater_explosion_flash_01_emit.bp')
					:ScaleEmitter(sx)
					:OffsetEmitter(rx, ry, rz)
				CreateEmitterAtBone( self, randBone, army, '/effects/emitters/destruction_underwater_sinking_wash_01_emit.bp')
					:ScaleEmitter(sx/2)
					:OffsetEmitter(rx, ry, rz)
				CreateEmitterAtBone( self, 0, army, '/effects/emitters/destruction_underwater_sinking_wash_01_emit.bp')
					:ScaleEmitter(sx)
					:OffsetEmitter(rx, ry, rz)
					
            	local rd = Util.GetRandomFloat( 0.4+i, 1.0+i)
            	WaitSeconds(rd)
				i = i + 0.3
			end
		end)

		local slider = CreateSlider(self, 0)
		slider:SetGoal(0, DaveyJones+5, 0)
		slider:SetSpeed(8)
		WaitFor(slider)
		slider:Destroy()
			
		CreateScaledBoom(self, overkillRatio)
		self:CreateWreckage(overkillRatio, instigator)
		self:Destroy()
	end

    function CreateWreckageProp( self, overkillRatio )
		local bp = self:GetBlueprint()
		local wreck = bp.Wreckage.Blueprint
		#LOG('*DEBUG: Spawning Wreckage = ', repr(wreck), 'overkill = ',repr(overkillRatio))
		local pos = self:GetPosition()
		local mass = bp.Economy.BuildCostMass * (bp.Wreckage.MassMult or 0)
		local energy = bp.Economy.BuildCostEnergy * (bp.Wreckage.EnergyMult or 0)
		local time = (bp.Wreckage.ReclaimTimeMultiplier or 1)

		--pos[2] = GetTerrainHeight(pos[1], pos[3]) + GetTerrainTypeOffset(pos[1], pos[3])

		local prop = CreateProp( pos, wreck )

		prop:SetScale(bp.Display.UniformScale)
		prop:SetOrientation(self:GetOrientation(), true)
		prop:SetPropCollision('Box', bp.CollisionOffsetX, bp.CollisionOffsetY, bp.CollisionOffsetZ, bp.SizeX* 0.5, bp.SizeY* 0.5, bp.SizeZ * 0.5)
		prop:SetMaxReclaimValues(time, time, mass, energy)

		mass = (mass - (mass * (overkillRatio or 1))) * self:GetFractionComplete()
		energy = (energy - (energy * (overkillRatio or 1))) * self:GetFractionComplete()
		time = time - (time * (overkillRatio or 1))

		prop:SetReclaimValues(time, time, mass, energy)
		prop:SetMaxHealth(bp.Defense.Health)
		prop:SetHealth(self, bp.Defense.Health * (bp.Wreckage.HealthMult or 1))

        if not bp.Wreckage.UseCustomMesh then
    	    prop:SetMesh(bp.Display.MeshBlueprintWrecked)
        end

        TryCopyPose(self,prop,false)

        prop.AssociatedBP = self:GetBlueprint().BlueprintId

		return prop
    end
endClass()
