#****************************************************************************
#**
#**  File     :  /data/projectiles/ADFShieldDisruptor01/ADFShieldDisruptor01_script.lua
#**  Author(s):  Matt Vainio
#**
#**  Summary  :  Aeon Shield Disruptor Projectile, DAL0310
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local ADisruptorProjectile = import('/lua/aeonprojectiles.lua').AShieldDisruptorProjectile
local VizMarker = import('/lua/sim/VizMarker.lua').VizMarker




ADFShieldDisruptor01 = Class(ADisruptorProjectile) {
		OnImpact = function(self)
			#ADisruptorProjectile.OnImpact(self, TargetType, TargetEntity)
			#if TargetType == 'Shield' then
			#    if self.Data > TargetEntity:GetHealth() then
			#        Damage(self, {0,0,0}, TargetEntity, TargetEntity:GetHealth(), 'Normal')
			#    else
			#		Damage(self, {0,0,0}, TargetEntity, self.Data, 'Normal')
		        #end
			#end
	local pos = self:GetPosition()
        local spec = {
            X = pos[1],
            Z = pos[3],
            Radius = self.Data.Radius,
            LifeTime = self.Data.Lifetime,
            Army = self.Data.Army,
            Omni = false,
            WaterVision = false,
        }
        local vizEntity = VizMarker(spec)
        self:Destroy()
		
				
		end,
	}

TypeClass = ADFShieldDisruptor01
