#
# Cybran Anti Air Missile
#
local CCorsairRocketProjectile = import('/lua/cybranprojectiles.lua').CCorsairRocketProjectile
CDFCorsairRocket01 = Class(CCorsairRocketProjectile) {


    FxEnterWater= { '/effects/emitters/water_splash_ripples_ring_01_emit.bp',
                    '/effects/emitters/water_splash_plume_01_emit.bp',},


    OnEnterWater = function(self)

        local army = self:GetArmy()

        for i in self.FxEnterWater do #splash
            CreateEmitterAtEntity(self,army,self.FxEnterWater[i])
        end

        self:SetMaxSpeed(20)
        self:SetVelocity(10)
        self:SetAcceleration(5)
        self:TrackTarget(true)
        self:StayUnderwater(true)
        self:SetTurnRate(240)
        self:SetVelocityAlign(true)
        self:SetStayUpright(false)
        #self:ForkThread(self.EnterWaterMovementThread)
    end,
    

    EnterWaterMovementThread = function(self)
        WaitTicks(1)
        self:SetVelocity(0.5)
    end,

    OnLostTarget = function(self)
        self:SetMaxSpeed(2)
        self:SetAcceleration(-0.6)
        self:ForkThread(self.CountdownMovement)
    end,

    CountdownMovement = function(self)
        WaitSeconds(3)
        self:SetMaxSpeed(0)
        self:SetAcceleration(0)
        self:SetVelocity(0)
    end,






}

TypeClass = CDFCorsairRocket01
